API7 Docs

List Certificate Usage in a gateway group

GET /api/gateway_groups/{gateway_group_id}/certificates/{certificate_id}/usage

GET /api/gateway_groups/{gateway_group_id}/certificates/{certificate_id}/usage

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

gateway_group_id*string

Gateway group ID.

Length1 <= length
certificate_id*string

The unique identifier of the Certificate.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256

Query Parameters

resource_type?string

Type of resource referencing the certificate.

Default"sni"

Value in

  • "sni"
  • "upstream"
page?integer

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
page_size?integer

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
direction?string

Order to list the resources by. The sorting index follows the configuration of order_by.

Default"desc"

Value in

  • "asc"
  • "desc"
order_by?string

Index to order resources by.

Default"updated_at"

Value in

  • "created_at"
  • "updated_at"
search?string

Condition to search resources by.

Response Body

application/json

application/json

curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/certificates/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101/usage?search=version%253Dv2"

Successfully retrieved the paginated list of certificate usages.

{
  "total": 1,
  "list": [
    {
      "sni_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
      "sni_name": "sample-sni",
      "service_id": "b32e678e-7f6b-4a50-b113-550621ed4c01",
      "service_name": "us-west-rsc",
      "hosts": [
        "httpbin.org"
      ]
    }
  ]
}
Complete operation details and schema variants

GET /api/gateway_groups/{gateway_group_id}/certificates/{certificate_id}/usage

List Certificate Usage in a gateway group

IAM Action: gateway:GetCertificate, Resource: arn:api7:gateway:gatewaygroup/%s

Parameters

  • gateway_group_id (path, string, required): Gateway group ID.
  • certificate_id (path, string, required): The unique identifier of the Certificate.
  • resource_type (query, string, optional): Type of resource referencing the certificate.
  • page (query, integer, optional): Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • page_size (query, integer, optional): Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • direction (query, string, optional): Order to list the resources by. The sorting index follows the configuration of order_by.
  • order_by (query, string, optional): Index to order resources by.
  • search (query, string, optional): Condition to search resources by.

Responses

  • 200: Successfully retrieved the paginated list of certificate usages.
  • allOf variant 1
  • list (array, optional): An array of resources.
  • total (integer, optional): Total number of objects.
  • allOf variant 2
  • list (array, optional): The array of certificate usages.
  • oneOf variant 1: SNI
  • list[].sni_id (string, optional): ID of the SNI.
  • list[].sni_name (string, optional): Name of the SNI.
  • list[].service_id (string, optional): ID of the service.
  • list[].service_name (string, optional): Name of the service.
  • list[].hosts (array, optional): Hostnames related to the SNIs.
  • oneOf variant 2: Upstream
  • list[].upstream_id (string, optional): Upstream ID.
  • list[].upstream_name (string, optional): Name of the upstream that uses SSL.
  • list[].service_id (string, optional): ID of the service.
  • list[].service_name (string, optional): Name of the service.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/certificates/{certificate_id}/usage'